const settingsApi = require('../routes/api/settings');
const responseContext = require('../lib/responseContext');

module.exports = function(req, res, next) {
    if (!responseContext.hasOrganizations(req)) {
        return next();
    }

    return settingsApi.read(req, res, next);
};
